Update a product

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional1-255 characters
descriptionstringOptional<=5000 characters
imageUrlstringOptionalformat: "uri"
priceUsdstringOptionalformat: "^\d+(\.\d{1,2})?$"
skustringOptional1-100 characters
acceptedNetworksTokenslist of objectsOptional
metadatamap from strings to anyOptional

Response

Updated product
idstringformat: "uuid"
organizationIdstringformat: "uuid"
namestring
descriptionstring or null
imageUrlstring or null
priceUsdstring
Decimal string, 2dp
skustring
creationSourceenum
statusenum
createdAtdatetime
updatedAtdatetime
acceptedNetworksTokenslist of maps from strings to any or nullOptional
metadatamap from strings to any or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error